
function skyComplete(controlName,postBackUrl,minChars){
        //自动完成
        if(!minChars)
        {
            minChars=0;
        }
        $("#"+controlName).autocomplete(postBackUrl, {
	         //multiple: true, 
	         width:$("#"+controlName).width(), 
	         autoFill: false,
	         matchCase:false, 
	         minChars: minChars,
	         max:50,  
	         multipleSeparator: ' ',
	         dataType: 'json',  
	         parse: function(data) {//加入对返回的json对象进行解析函数，函数返回一个数组  
	           var rows = [];
	           for(var i=0; i<data.length; i++){
	           
               var name=data[i].name;
               if(data[i].othername)
               {
                   name=data[i].name + "(" + data[i].othername + ")";
               }
		           
		          rows[rows.length] = {
		          data:name,
		          value:data[i].name,
		          result:data[i].name
		          };
		        }
	         return rows;
	           },
	         formatItem: function(row, i, n) {
		        return row;     
	        }
          });
          }  